النماذج
قائمة النماذج
Returns a list of available models supported by the Venice.ai API across text, image, audio, video, and related inference types.
GET
/
models
/api/v1/models
curl --request GET \
--url https://api.venice.ai/api/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.venice.ai/api/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.venice.ai/api/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created": 1727966436,
"id": "llama-3.2-3b",
"model_spec": {
"availableContextTokens": 131072,
"capabilities": {
"optimizedForCode": false,
"quantization": "fp16",
"supportsAudioInput": false,
"supportsFunctionCalling": true,
"supportsLogProbs": true,
"supportsMultipleImages": false,
"supportsReasoning": false,
"supportsReasoningEffort": false,
"supportsResponseSchema": true,
"supportsTeeAttestation": false,
"supportsE2EE": false,
"supportsVision": false,
"supportsVideoInput": false,
"supportsWebSearch": true,
"supportsXSearch": false
},
"constraints": {
"temperature": {
"default": 0.8
},
"top_p": {
"default": 0.9
}
},
"description": "Compact and efficient model for quick responses and lighter workloads.",
"name": "Llama 3.2 3B",
"modelSource": "https://huggingface.co/meta-llama/Llama-3.2-3B",
"offline": false,
"privacy": "private",
"pricing": {
"input": {
"usd": 0.15,
"diem": 0.15
},
"output": {
"usd": 0.6,
"diem": 0.6
}
},
"traits": [
"fastest"
]
},
"object": "model",
"owned_by": "venice.ai",
"type": "text"
}
],
"object": "list",
"type": "text"
}{
"error": "<string>"
}التسعير حسب مستوى الجودة
لنماذج الصور التي تقبل معاملquality الاختياري (حاليًا gpt-image-2 و gpt-image-2-edit)، تكشف الاستجابة عن مصفوفة أسعار لكل جودة ضمن model_spec.pricing.quality. كل مفتاح من المستوى الأعلى هو مستوى دقة (1K أو 2K أو 4K)، وكل مفتاح متداخل هو مستوى جودة (low أو medium أو high) يحمل سعره الخاص بـ usd و diem:
"pricing": {
"resolutions": {
"1K": { "usd": 0.27, "diem": 0.27 },
"2K": { "usd": 0.51, "diem": 0.51 },
"4K": { "usd": 0.84, "diem": 0.84 }
},
"quality": {
"1K": {
"low": { "usd": 0.02, "diem": 0.02 },
"medium": { "usd": 0.07, "diem": 0.07 },
"high": { "usd": 0.26, "diem": 0.26 }
},
"2K": {
"low": { "usd": 0.03, "diem": 0.03 },
"medium": { "usd": 0.13, "diem": 0.13 },
"high": { "usd": 0.50, "diem": 0.50 }
},
"4K": {
"low": { "usd": 0.05, "diem": 0.05 },
"medium": { "usd": 0.21, "diem": 0.21 },
"high": { "usd": 0.83, "diem": 0.83 }
}
}
}
pricing.resolutions هو الجدول القديم لكل صورة المُحتفَظ به للتوافق الخلفي. pricing.quality هو مصفوفة لكل (الدقة، الجودة) تنطبق متى كان المعامل quality مدعومًا. يتم الاحتفاظ بكلا الحقلين في الاستجابة حتى يتمكن العملاء من اكتشاف دعم الجودة وإظهار المصفوفة في واجهات المستخدم الخاصة بهم.
مجموعة Postman
للمزيد من الأمثلة، يرجى مراجعة مجموعة Postman هذه.التفويضات
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
معلمات الاستعلام
Filter models by type. Use "all" to get all model types.
الخيارات المتاحة:
asr, decision, embedding, image, music, text, tts, upscale, inpaint, video مثال:
"text"
الاستجابة
OK
هل كانت هذه الصفحة مفيدة؟
⌘I
/api/v1/models
